Skip to contentSkip to navigationSkip to topbar

Update Trait Group


(information)

Legal information

Conversation Memory, including the APIs, may use artificial intelligence or machine learning technologies and is subject to the terms of the Predictive and Generative AI/ML Features Addendum(link takes you to an external page). For more details on AI usage and data, see the AI Nutrition Facts.

Conversation Memory is not a HIPAA Eligible Service or PCI compliant and should not be enabled in workflows that are subject to HIPAA or PCI.

Conversation Memory is not intended for use with sensitive information about individuals. Twilio does not control what information comes from conversation channels and relies on you to ensure the data in customer profiles aligns with our acceptable use policy. Twilio does have limited guardrails in the form of a prompt exclusion that is designed to provide a minimal screening against inclusion of GDPR special category data(link takes you to an external page). As a reminder our profile technology uses generative artificial intelligence. Because generative artificial intelligence can make mistakes, review all outputs to ensure that the profile is correct.

Conversations products are only available in the new Twilio Console(link takes you to an external page). If your account hasn't been migrated, you'll be redirected to the legacy Console where these products won't appear.

PATCH/v1/ControlPlane/Stores/{storeId}/TraitGroups/{traitGroupName}

Base url: https://memory.twilio.com (base url)

Partially updates a Trait Group. Only the fields provided in the request body will be updated. For traits: existing traits with matching keys will be updated, new keys will be added. To remove a trait, set its dataType to an empty string ("") - this serves as an explicit deletion marker.


Request

patch-trait-group-request page anchor

Authentication

authentication page anchor
Property nameTypeRequiredPIIDescription
if-Matchstring

Optional

Not PII

Allows for optimistic concurrency control by making the request conditional. Server will only act if the resource's current Entity Tag (ETag) matches the one provided, preventing accidental overwrites.

Example: "eyJpZCI6ImFuX2lkIiwidiI6MX0"Max length: 100
Property nameTypeRequiredPIIDescription
storeIdstring
required

A unique Memory Store ID using Twilio Type ID (TTID) format

Example: mem_store_00000000000000000000000000Pattern: ^mem_(store|service)_[0-7][0-9a-z]{25}$

traitGroupNamestring
required

A unique Name of the TraitGroup

Example: ContactMin length: 1Max length: 64
Encoding type:application/json
SchemaExample
Property nameTypeRequiredPIIDescriptionChild properties
descriptionstring

Optional

Updated description of the Trait Group

Example: Updated Trait Group contains traits related to contact information.Max length: 1024

traitsobject

Optional

Map of traits to add, update, or remove in this Trait Group, where the key is the trait name. - To update/add a trait: provide the complete TraitDefinition object - To remove a trait: set dataType to an empty string ("")

Max properties: 95

202400404429500503

TraitGroup update request accepted for processing.

Schema
Property nameTypeRequiredPIIDescriptionChild properties
messagestring

Optional

Example: TraitGroup update request accepted.Max length: 512

statusUrlstring

Optional

URI to check operation status.

Max length: 512
Update Trait GroupLink to code sample: Update Trait Group
1
// Download the helper library from https://www.twilio.com/docs/node/install
2
const twilio = require("twilio"); // Or, for ESM: import twilio from "twilio";
3
4
// Find your Account SID and Auth Token at twilio.com/console
5
// and set the environment variables. See http://twil.io/secure
6
const accountSid = process.env.TWILIO_ACCOUNT_SID;
7
const authToken = process.env.TWILIO_AUTH_TOKEN;
8
const client = twilio(accountSid, authToken);
9
10
async function patchTraitGroup() {
11
const traitGroup = await client.memory.v1
12
.traitGroups("mem_store_00000000000000000000000000", "traitGroupName")
13
.patch({
14
description: "Update loyalty-related traits.",
15
traits: {
16
phone: {
17
dataType: "STRING",
18
description: "User's phone number",
19
},
20
loyaltyPoints: {
21
dataType: "NUMBER",
22
description: "User's accumulated loyalty points",
23
},
24
},
25
});
26
27
console.log(traitGroup.message);
28
}
29
30
patchTraitGroup();

Response

Note about this response
1
{
2
"message": "message",
3
"statusUrl": "statusUrl"
4
}